function battle_bai009(npcID)--魔豹
	
	if battle.CheckPlayerStat(16,725)==1 then
	    for se=1,7,1 do
        if battle.CheckNpcPlace(se)==0 then
	    local tid=battle.GetPlaceNpcID(se)
		    if npc.GetHP(tid,1)>2 then
			   npc.CreateSE(tid,3844)--剑斩的特效
			   global.PlaySound(531,200)--音效插入
			   npc.ChangeHP(1,0,tid,-2)
			end
	    end
		end	
	--npc.ChangeHP(1,1,0,-2)
	wt(1.5)
	end
	
	local sg=flag.GetBattleValue(16222)	--语言提示打法
	
	m=flag.GetBattleValue(16001)
	
	l=npc.GetHP(npcID,1)
    flag.SetBattleValue(16001,l)	
	if l==100 then
		a = battle.GetRndNumber(1,10)
		if a>=1 and a<=6 then
			id = battle.GetRndPlayer()
			battle.MagicToPlayer(id,218,1)     --爪光
		else
			battle.MagicToPlayer(0,215,1)   --狂啸
		end
	elseif l<30 then
		npc.StopSE(90000)
		npc.CreateSE(90000,3372)
		npc.CreateSE(90000,4785)
		a = battle.GetRndNumber(1,10)
		if a>=1 and a<=6 then
			battle.MagicToPlayer(0,217,1)   --炽绿
		else
			battle.MagicToPlayer(0,219,1)     --扫尾
		end	
	else
		if m==0 then

			if 100-l>10 then
				npc.StopSE(90000)
				npc.CreateSE(90000,3372)
				npc.CreateSE(90000,4785)
				a = battle.GetRndNumber(1,10)
				if a>=1 and a<=6 then
					battle.MagicToPlayer(0,217,1)   --炽绿
				else
					battle.MagicToPlayer(0,219,1)     --扫尾
				end	
			
			elseif 100-l<5 then 
				npc.StopSE(90000)
				npc.CreateSE(90000,3372)
				npc.CreateSE(90000,4782)
				flag.SetBattleValue(19027,1)
				a = battle.GetRndNumber(1,10)
				if a>=1 and a<=6 then
					id = battle.GetRndPlayer()
					battle.MagicToPlayer(id,218,1)     --爪光
				else
					battle.MagicToPlayer(0,215,1)   --狂啸
				end
			else
				npc.StopSE(90000)
				npc.CreateSE(90000,3372)
				npc.CreateSE(90000,4784)
				flag.SetBattleValue(19028,1)
				a = battle.GetRndNumber(1,10)
				if a>=1 and a<=6 then
					battle.MagicToPlayer(0,219,1)     --扫尾
				else
					battle.MagicToPlayer(0,216,1)   --横旋
				end				
				
			end
		
		
		else

			if m-l>10 then
				npc.StopSE(90000)
				npc.CreateSE(90000,3372)
				npc.CreateSE(90000,4785)
				a = battle.GetRndNumber(1,10)
				if a>=1 and a<=6 then
					battle.MagicToPlayer(0,217,1)   --炽绿
					global.WaitForBattleSEEnd(4006)
					if sg==0 then   --战斗对话提示
						flag.SetBattleValue(16222,1)
						local zid=battle.GetRndPlayer()
						if zid==1 then
							uid=522
						elseif zid==2 then
							uid=183
						elseif zid==8 then
							uid=166
						elseif zid==16 then
							uid=110	
						end
							
						ui.Dialog(86975,uid,0,0,zid,0)--看样子，它会根据它所收到的伤害变化它尾巴的光彩，发出不同的招式……
					end
				else
					battle.MagicToPlayer(0,219,1)     --扫尾
					global.WaitForBattleSEEnd(4764)
					if sg==0 then   --战斗对话提示
						flag.SetBattleValue(16222,1)
						local zid=battle.GetRndPlayer()
						if zid==1 then
							uid=522
						elseif zid==2 then
							uid=183
						elseif zid==8 then
							uid=166
						elseif zid==16 then
							uid=110	
						end
							
						ui.Dialog(86976,uid,0,0,zid,0)--看样子，它会根据它所收到的伤害变化它尾巴的光彩，发出不同的招式……
					end
				end	
			
			elseif m-l<5 then
				npc.StopSE(90000)
				npc.CreateSE(90000,3372)
				npc.CreateSE(90000,4782)
				flag.SetBattleValue(19027,1)
				a = battle.GetRndNumber(1,10)
				if a>=1 and a<=6 then
					id = battle.GetRndPlayer()
					battle.MagicToPlayer(id,218,1)     --爪光
					global.WaitForBattleSEEnd(4761)
					if sg==0 then   --战斗对话提示
						flag.SetBattleValue(16222,1)
						local zid=battle.GetRndPlayer()
						if zid==1 then
							uid=522
						elseif zid==2 then
							uid=183
						elseif zid==8 then
							uid=166
						elseif zid==16 then
							uid=110	
						end
							
						ui.Dialog(86977,uid,0,0,zid,0)--看样子，它会根据它所收到的伤害变化它尾巴的光彩，发出不同的招式……
					end
				else
					battle.MagicToPlayer(0,215,1)   --狂啸
					global.WaitForBattleSEEnd(4004)
					if sg==0 then   --战斗对话提示
						flag.SetBattleValue(16222,1)
						local zid=battle.GetRndPlayer()
						if zid==1 then
							uid=522
						elseif zid==2 then
							uid=183
						elseif zid==8 then
							uid=166
						elseif zid==16 then
							uid=110	
						end
							
						ui.Dialog(86978,uid,0,0,zid,0)--看样子，它会根据它所收到的伤害变化它尾巴的光彩，发出不同的招式……
					end
				end
			else
				npc.StopSE(90000)
				npc.CreateSE(90000,3372)
				npc.CreateSE(90000,4784)
				flag.SetBattleValue(19028,1)
				a = battle.GetRndNumber(1,10)
				if a>=1 and a<=6 then
					battle.MagicToPlayer(0,219,1)     --扫尾
					global.WaitForBattleSEEnd(4764)
					if sg==0 then   --战斗对话提示
						flag.SetBattleValue(16222,1)
						local zid=battle.GetRndPlayer()
						if zid==1 then
							uid=522
						elseif zid==2 then
							uid=183
						elseif zid==8 then
							uid=166
						elseif zid==16 then
							uid=110	
						end
							
						ui.Dialog(86979,uid,0,0,zid,0)--看样子，它会根据它所收到的伤害变化它尾巴的光彩，发出不同的招式……
					end
				else
					battle.MagicToPlayer(0,216,1)   --横旋
					global.WaitForBattleSEEnd(4005)
					if sg==0 then   --战斗对话提示
						flag.SetBattleValue(16222,1)
						local zid=battle.GetRndPlayer()
						if zid==1 then
							uid=522
						elseif zid==2 then
							uid=183
						elseif zid==8 then
							uid=166
						elseif zid==16 then
							uid=110	
						end
							
						ui.Dialog(86980,uid,0,0,zid,0)--看样子，它会根据它所收到的伤害变化它尾巴的光彩，发出不同的招式……
					end
				end				
				
			end
		
		end
	end
	
end